Bug 98520 - ODF Validator reported error: attribute "text:start-value" has a bad value: "0"
Summary: ODF Validator reported error: attribute "text:start-value" has a bad value: "0"
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.0.5.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:odt
Depends on:
Blocks: ODF-export-invalid
  Show dependency treegraph
 
Reported: 2016-03-08 14:56 UTC by Franklin Weng
Modified: 2018-06-17 19:10 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
ODT file which reported containing error attribute value (41.48 KB, application/vnd.oasis.opendocument.text)
2016-03-08 14:56 UTC, Franklin Weng
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Franklin Weng 2016-03-08 14:56:00 UTC
Created attachment 123403 [details]
ODT file which reported containing error attribute value

Use ODF online validator https://odf-validator.rhcloud.com/

Set to ODF 1.2 (extended conforming), and upload the ODT file (as attachment in this report), the result reported:

Error: attribute "text:start-value" has a bad value: "0" does not satisfy the "positiveInteger" type

This should be a LibreOffice bug.
Comment 1 Franklin Weng 2016-03-08 14:58:01 UTC
This file is generated by LibreOffice 5.0.5.2.

The output of this validator is as follows:

03_????.odt/styles.xml[2,38407]: Error: attribute "text:start-value" has a bad value: "0" does not satisfy the "positiveInteger" type
03_????.odt: Info: Generator: LibreOffice/5.0.5.2$Windows_x86 LibreOffice_project/55b006a02d247b5f7215fc6ea0fde844b30035b3
Comment 2 Buovjaga 2016-03-13 19:37:29 UTC
Confirmed.
Comment 3 QA Administrators 2018-02-18 03:38:22 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug